# IntelliJ IDEA specific files
.idea/
*.iml
*.swp
*.bak
*.tmp
*.log
*.lock
*.rej
*.orig

# Java compiled byte code
*.class

# Java package directories generated by tools
bin/
out/

# Maven dependency directory
target/

# Gradle dependency directory
.build-cache/
.gradle/
